<?php

	$sql2 = 'SELECT * FROM objekte WHERE ID = "'.$_POST['ID'].'";';
	$result2 = $db->query($sql2);
	$nt2 = $result2->fetch_assoc();
	$user = fnc_getUsernameById ( $nt2['TID'], 'portal' );
	
	if ("" == $nt2['openimmoanid']) {
		$micro = microtime(true);
		preg_match('/(?P<time>\d+).(?P<micro>\d+)/', $micro, $zeit);
		$openimmoanid = "RIST".date('YmdHis', $zeit['time']).substr($zeit['micro'], 0, 3).substr(md5($micro), 3, 10);
		$sqls1 =	'UPDATE objekte SET openimmoanid = "'.$openimmoanid.'" WHERE ID = "'.$_POST['ID'].'";';
		$stmts1 = $db->prepare($sqls1);
		if (!$stmts1) {
			die ('Datensatz konnte nicht gespeichert werden: '.$db->error);
		}
		if (!$stmts1->execute()) {
			die ('Datensatz konnte nicht gespeichert werden: '.$stmts1->error);
		}
	} else {
		$openimmoanid = $nt2['openimmoanid'];
	}
	
	if ("importieren" == $_POST['ImmoWelt']) {
		$Importmodus = "NEW";
	} elseif ("aktualisieren" == $_POST['ImmoWelt']) {
		$Importmodus = "CHANGE";
	} elseif ("loeschen" == $_POST['ImmoWelt']) {
		$Importmodus = "DELETE";
	}
	$picpath = "../img/objekte/";
	
	$Nutzart = '';
	$Ausstattung = '';
	if ( 'Etagenheizung' == $nt2['Heizart'] )
		{
			$Ausstattung .= "				<heizungsart ETAGE=\"1\" />\n";
		}
	elseif ( 'Ofenheizung' == $nt2['Heizart'] )
		{
			$Ausstattung .= "				<heizungsart OFEN=\"1\" />\n";
		}
	elseif ( 'Zentralheizung' == $nt2['Heizart'] )
		{
			$Ausstattung .= "				<heizungsart ZENTRAL=\"1\" />\n";
		}
	if ( 'Öl' == $nt2['Befeuerung'] )
		{
			$Ausstattung .= "				<befeuerung OEL=\"1\" />\n";
		}
	elseif ( 'Gas' == $nt2['Befeuerung'] )
		{
			$Ausstattung .= "				<befeuerung GAS=\"1\" />\n";
		}
	elseif ( 'Solarheizung' == $nt2['Befeuerung'] )
		{
			$Ausstattung .= "				<befeuerung SOLAR=\"1\" />\n";
		}
	elseif ( 'Strom' == $nt2['Befeuerung'] )
		{
			$Ausstattung .= "				<befeuerung ELEKTRO=\"1\" />\n";
		}
	elseif ( 'Erdwärme' == $nt2['Befeuerung'] )
		{
			$Ausstattung .= "				<befeuerung ERDWAERME=\"1\" />\n";
		}
	elseif ( 'Fernwärme' == $nt2['Befeuerung'] )
		{
			$Ausstattung .= "				<heizungsart FERN=\"1\" />\n";
		}
	if ( '0' != $nt2['Garten'] )
		{
			$Ausstattung .= "				<gartennutzung>1</gartennutzung>\n";
		}
	if ( '0' != $nt2['Barrierefrei'] )
		{
			$Ausstattung .= "				<barrierefrei>1</barrierefrei>\n";
		}


	$Rendite = '';
	
	if ('wohnen' == $nt2['KAT'])
		{
			if ('Wohnung' == $nt2['O_TYP']) {
				$Objektart = "<wohnung ";
				if ('Dachgeschoss' == $nt2['Art'] OR 'Erdgeschoss' == $nt2['Art'] OR 'Penthouse' == $nt2['Art'] OR 'Souterrain' == $nt2['Art'] )
					{
						$Objektart .= "wohnungtyp=\"" . strtoupper ( $nt2['Art'] ) . "\" ";
					}
				elseif ('Loft' == $nt2['O_TYP'] )
					{
						$Objektart .= "wohnungtyp=\"LOFT-STUDIO-ATELIER\" ";
					}
				elseif ('Etagenwohnung' == $nt2['O_TYP'] )
					{
						$Objektart .= "wohnungtyp=\"ETAGE\" ";
					}
			} elseif ('Haus' == $nt2['O_TYP']) {
				$Objektart = "<haus ";
				if ('Reihenhaus' == $nt2['Art'] OR 'Villa' == $nt2['Art'] OR 'Bauernhaus' == $nt2['Art'] OR 'Doppelhaushälfte' == $nt2['Art'] OR 'Einfamilienhaus' == $nt2['Art'] OR 'Zweifamilienhaus' == $nt2['Art'] OR 'Mehrfamilienhaus' == $nt2['Art'] )
					{
						$Objektart .= "haustyp=\"" . str_replace ('Ä', 'AE', strtoupper ( $nt2['Art'] ) ) . "\" ";
					}
				elseif ('Burg Schloss' == $nt2['O_TYP'] )
					{
						$Objektart .= "haustyp=\"SCHLOSS\" ";
					}
				elseif ('Reiheneckhaus' == $nt2['O_TYP'] )
					{
						$Objektart .= "haustyp=\"REIHENECK\" ";
					}
				elseif ('Reihenmittlehaus' == $nt2['O_TYP'] )
					{
						$Objektart .= "haustyp=\"REIHENMITTEL\" ";
					}
			}
			$Nutzart .= "				<nutzungsart WOHNEN=\"1\" GEWERBE=\"0\" ANLAGE=\"0\"/>\n";
		}
	elseif ( 'gewerbe' == $nt2['KAT'] )
		{
			if ('Büro' == $nt2['O_TYP'] OR 'Praxis' == $nt2['O_TYP']) {
				$Objektart = "<buero_praxen ";
			} elseif ('Einzelhandel' == $nt2['O_TYP']) {
				$Objektart = "<einzelhandel ";
			} elseif ('Gastronomie' == $nt2['O_TYP']) {
				$Objektart = "<gastgewerbe ";
			} elseif ('Produktionshalle' == $nt2['O_TYP']) {
				$Objektart = "<hallen_lager_prod ";
			}
			$Nutzart .= "				<nutzungsart WOHNEN=\"0\" GEWERBE=\"1\" ANLAGE=\"0\"/>\n";		
		}
	elseif ( 'anlage' == $nt2['KAT'] )
		{
			$Objektart = "<zinshaus_renditeobjekt ";
			if ('Mehrfamilienhaus' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"MEHRFAMILIENHAUS\" ";
			}
			elseif ('Wohn / Geschäftshaus' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"WOHN_UND_GESCHAEFTSHAUS\" ";
			}
			elseif ('Geschäftshaus' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"GESCHAEFTSHAUS\" ";
			}
			elseif ('Bürogebäude' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"BUEROGEBAEUDE\" ";
			}
			elseif ('Supermarkt' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"SB_MAERKTE\" ";
			}
			elseif ('Einkaufszentrum' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"EINKAUFSCENTREN\" ";
			}
			elseif ('Wohnanlage' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"WOHNANLAGEN\" ";
			}
			elseif ('Industrieanwesen' == $nt2['O_TYP'] OR 'Halle / Lager' == $nt2['O_TYP']) {
				$Objektart .= "zins_typ=\"INDUSTRIEANLAGEN\" ";
			}
			$Rendite = "				<mieteinnahmen_ist>" . $nt2['MietEinnahmePaIst'] . "</mieteinnahmen_ist>\n";
			$Rendite .= "				<mieteinnahmen_soll>" . $nt2['MietEinnahmePaSoll'] . "</mieteinnahmen_soll>\n";
			
			$Nutzart .= "				<nutzungsart WOHNEN=\"0\" GEWERBE=\"0\" ANLAGE=\"1\"/>\n";		
		}
	if ('Kauf' == $nt2['V_TYP']) {
		$Vermarktungsart = "KAUF=\"1\" MIETE_PACHT=\"0\"";
		$Preis =		"				<kaufpreis>".$nt2['Mkalt']."</kaufpreis>\n";
		$Preis .=		"				<nebenkosten>".$nt2['NebenK']."</nebenkosten>\n";
		$Preis .=		"				<aussen_courtage mit_mwst=\"1\">" . $nt2['Provision'] . "</aussen_courtage>\n";
		$Preis .= $Rendite;
		if ("0" != $nt2['StellK']) {
			$Preis .=	"				<stp_freiplatz stellplatzkaufpreis=\"".$nt2['StellK']."\" />\n";
		}
	} elseif ('Miete' == $nt2['V_TYP']) {
		$Vermarktungsart = "KAUF = \"0\" MIETE_PACHT=\"1\"";
		$Preis =		"				<kaltmiete>".$nt2['Mkalt']."</kaltmiete>\n";
		$Preis .=		"				<nebenkosten>".$nt2['NebenK']."</nebenkosten>\n";
		$Preis .=		"				<aussen_courtage mit_mwst=\"1\">" . $nt2['Provision'] . "</aussen_courtage>\n";
		if ("0" != $nt2['StellK']) {
			$Preis .=	"				<stp_freiplatz stellplatzmiete=\"".$nt2['StellK']."\" />\n";
		}
	}
	$Objektart .= "/>";

	$Anhang = '';
	$MmATitel = 'Wachter Immobilien';
	$Anhang .=	"				<anhang location=\"INTERN\" gruppe=\"BILD\">\n";
	$Anhang .=	"					<anhangtitel>".$MmATitel."</anhangtitel>\n";
	$Anhang .=	"					<format>image/jpeg</format>\n";
	$Anhang .=	"					<daten>\n";
	$Anhang .=	"						<pfad>".$nt2['ID']."_0.jpg</pfad>\n";
	$Anhang .=	"					</daten>\n";
	$Anhang .=	"				</anhang>\n";
	
	$source = $picpath."0_0.jpg";
	$dest = "temp/".$nt2['ID']."_0.jpg";
	copy($source, $dest);
	for ($i=1; $i<10; $i++) {
		if ((file_exists($picpath.$nt2['ID']."_".$i.".jpg"))){
			if ('' == $nt2['Foto'.$i.'']) {
				$MmATitel = 'Foto'.$i;
			} else {
				$MmATitel = $nt2['Foto'.$i.''];
			}
			$Anhang .=	"				<anhang location=\"INTERN\" gruppe=\"BILD\">\n";
			$Anhang .=	"					<anhangtitel>".$MmATitel."</anhangtitel>\n";
			$Anhang .=	"					<format>image/jpeg</format>\n";
			$Anhang .=	"					<daten>\n";
			$Anhang .=	"						<pfad>".$nt2['ID']."_".$i.".jpg</pfad>\n";
			$Anhang .=	"					</daten>\n";
			$Anhang .=	"				</anhang>\n";
			
			$source = $picpath.$nt2['ID']."_".$i.".jpg";
			$dest = "temp/".$nt2['ID']."_".$i.".jpg";
			copy($source, $dest);
		}
	}
	$path = "temp/".$_POST['ID']."_st_Z9B_imt.xml";
	$datei = fopen($path, "a+");
	
	$text = '<?xml version="1.0" encoding="ISO-8859-1"?>'."\n";
	$text .= "<openimmo>\n";
	$text .= "	<uebertragung art=\"ONLINE\" umfang=\"TEIL\" version=\"1.2.2\" sendersoftware=\"R!ST\" senderversion=\"".SW_VERSION."\" techn_email=\"".KONT_MAIL."\" />\n";
	$text .= "	<anbieter>\n";
	$text .= "		<anbieternr>".IMMOW_ID."</anbieternr>\n";
	$text .= "		<firma>".KONT_FIRMA."</firma>\n";
	$text .= "		<openimmo_anid>".$openimmoanid."</openimmo_anid>\n";
	$text .= "		<immobilie>\n";
	$text .= "			<objektkategorie>\n";
	$text .= $Nutzart;
	$text .= "				<vermarktungsart ".$Vermarktungsart." />\n";
	$text .= "				<objektart>\n";
	$text .= "					".$Objektart."\n";
	$text .= "				</objektart>\n";
	$text .= "			</objektkategorie>\n";
	$text .= "			<geo>\n";
	$text .= "				<plz>".$nt2['PLZ']."</plz>\n";
	$text .= "				<ort>".$nt2['Ort']."</ort>\n";
	$text .= "				<strasse>".$nt2['Strasse']."</strasse>\n";
	$text .= "				<hausnummer>".$nt2['StraNr']."</hausnummer>\n";
	$text .= "				<land iso_land=\"DEU\" />\n";
	$text .= "			</geo>\n";
	$text .= "			<kontaktperson>\n";
	$text .= "				<email_zentrale>".KONT_MAIL."</email_zentrale>\n";
	$text .= "				<tel_zentrale>".KONT_TEL."</tel_zentrale>\n";
	$text .= "				<name>".$user[2]."</name>\n";
	$text .= "				<vorname>".$user[1]."</vorname>\n";
	$text .= "				<anrede>".$user[0]."</anrede>\n";
	$text .= "				<firma>".KONT_FIRMA."</firma>\n";
	$text .= "				<strasse>".KONT_STR."</strasse>\n";
	$text .= "				<hausnummer>".KONT_NR."</hausnummer>\n";
	$text .= "				<plz>".KONT_PLZ."</plz>\n";
	$text .= "				<ort>".KONT_ORT."</ort>\n";
	$text .= "				<land iso_land=\"DEU\" />\n";
	$text .= "				<url>".KONT_HOME."</url>\n";
	$text .= "			</kontaktperson>\n";
	$text .= "			<preise>\n";
	$text .= $Preis;
	$text .= "			</preise>\n";
	$text .= "			<flaechen>\n";
	$text .= "				<wohnflaeche>".$nt2['WohnF']."</wohnflaeche>\n";
	if ("Wohnung" != $nt2['Art']) {
		$text .= "				<grundstuecksflaeche>".$nt2['GrundF']."</grundstuecksflaeche>\n";
	}
	$text .= "				<anzahl_zimmer>".$nt2['Zimmer']."</anzahl_zimmer>\n";
	$text .= "			</flaechen>\n";
	$text .= "			<ausstattung>\n";
	$text .= $Ausstattung;
	$text .= "			</ausstattung>\n";
	$text .= "			<zustand_angaben>\n";
	$text .= "				<baujahr>".$nt2['Baujahr']."</baujahr>\n";
	$text .= "			</zustand_angaben>\n";
	$text .= "			<freitexte>\n";
	$text .= "				<objekttitel>".$nt2['Kurz']."</objekttitel>\n";
	$text .= "				<lage>".$nt2['Lage']."</lage>\n";
	$text .= "				<ausstatt_beschr>".$nt2['Ausstatt']."</ausstatt_beschr>\n";
	$text .= "				<objektbeschreibung>".$nt2['OBeschreibung']."</objektbeschreibung>\n";
	$text .= "				<sonstige_angaben>".$nt2['Sonstiges']."</sonstige_angaben>\n";
	$text .= "			</freitexte>\n";
	if ("" != $Anhang) {
		$text .= "			<anhaenge>\n";
		$text .= $Anhang;
		$text .= "			</anhaenge>\n";
	}
	$text .= "			<verwaltung_objekt>\n";
	$text .= "				<objektadresse_freigeben>0</objektadresse_freigeben>\n";
	$text .= "				<verfuegbar_ab>".$nt2['Bezug']."</verfuegbar_ab>\n";
	$text .= "			</verwaltung_objekt>\n";
	$text .= "			<verwaltung_techn>\n";
	$text .= "				<objektnr_intern>".$nt2['ID']."</objektnr_intern>\n";
	$text .= "				<objektnr_extern>".$nt2['ID']."</objektnr_extern>\n";
	$text .= "				<aktion aktionart=\"" . $Importmodus . "\" />\n";
	$text .= "				<openimmo_obid>".$openimmoanid."</openimmo_obid>\n";
	$text .= "				<stand_vom>".date('Y-m-d')."</stand_vom>\n";
	$text .= "			</verwaltung_techn>\n";

	$text .= "		</immobilie>\n";
	$text .= "	</anbieter>\n";
	$text .= "</openimmo>\n";

	fwrite($datei, $text);
	fclose($datei);
?>
